| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
uiZRangeInput Class Reference
uiTools

`#include <uizrangeinput.h>`

Inheritance diagram for uiZRangeInput:
[legend]

## Public Member Functions
| uiZRangeInput (uiParent *, bool depth, bool wstep)
| ~uiZRangeInput ()
StepInterval< double > | getDZRange () const
StepInterval< float > | getFZRange () const
void | setIsDepth (bool yn)
template<class T >
void | setZRange (T)
Public Member Functions inherited from uiGenInput
| uiGenInput (uiParent *p, const uiString &, const DataInpSpec &, const DataInpSpec &)
| uiGenInput (uiParent *p, const uiString &, const DataInpSpec &, const DataInpSpec &, const DataInpSpec &)
| uiGenInput (uiParent *p, const uiString &disptxt, const char *inputStr=nullptr)
| uiGenInput (uiParent *p, const uiString &disptxt, const DataInpSpec &)
virtual | ~uiGenInput ()
void | addInput (const DataInpSpec &)
const DataInpSpec * | dataInpSpec (int nr=0) const
| gives access to the actual spec of an input field.
void | displayField (bool yn=true, int elemnr=-1, int fldnr=-1)
UserInputObj * | element (int idx)
| returns 0 if not finalized.
uiObject::SzPolicy | elemSzPol () const
BinID | getBinID (int nr=0, int undefval=mUdf(int)) const
bool | getBoolValue (int nr=0, bool undefval=mUdf(bool)) const
Coord | getCoord (int nr=0, double undefval=mUdf(double)) const
Interval< double > | getDInterval (double undefval) const
Interval< double > | getDInterval (int nr=0, double undefval=mUdf(double)) const
StepInterval< double > | getDStepInterval (double undefval) const
StepInterval< double > | getDStepInterval (int nr=0, double undefval=mUdf(double)) const
double | getDValue (double undefval) const
double | getDValue (int nr=0, double undefval=mUdf(double)) const
Interval< float > | getFInterval (float undefval) const
Interval< float > | getFInterval (int nr=0, float undefval=mUdf(float)) const
StepInterval< float > | getFStepInterval (float undefval) const
StepInterval< float > | getFStepInterval (int nr=0, float undefval=mUdf(float)) const
float | getFValue (float undefval) const
float | getFValue (int nr=0, float undefval=mUdf(float)) const
Interval< int > | getIInterval (int nr=0, int undefval=mUdf(int)) const
od_int64 | getInt64Value (int nr=0, od_int64 undefval=mUdf(od_int64)) const
int | getIntValue (int nr=0, int undefval=mUdf(int)) const
StepInterval< int > | getIStepInterval (int nr=0, int undefval=mUdf(int)) const
float | getOffset (int nr=0, float undefval=mUdf(float)) const
int | getTrcNr (int nr=0, int undefval=mUdf(int)) const
bool | isCheckable () const
bool | isChecked () const
virtual bool | isSingleLine () const
bool | isUndef (int nr=0) const
bool | newSpec (const DataInpSpec &nw, int nr)
| makes it possible to change the actual spec for an input field.
int | nrElements () const
uiObject * | rightObj ()
| for attaching
void | setChecked (bool yn)
void | setDefaultTextValidator ()
void | setElemSzPol (uiObject::SzPolicy p)
void | setEmpty (int nr=-1)
void | setFilename (const char *)
void | setNrDecimals (int nrdec, int fldnr=0)
void | setPrefix (const uiString &r, int fldnr=0)
void | setReadOnly (bool yn=true, int elemnr=-1, int fldnr=-1)
void | setRequired (bool yn=true)
void | setSensitive (bool yn=true, int elemnr=-1, int fldnr=-1)
void | setText (const char *, int nr=0)
void | setTexts (const char *v1, const char *v2)
void | setTextValidator (const uiTextValidator &)
virtual void | setTitleText (const uiString &)
void | setToolTip (const uiString &, int ielem=0)
void | setValue (bool, int nr=0)
void | setValue (const BinID &b)
void | setValue (const BinIDValue &)
void | setValue (const Coord &c)
void | setValue (const Interval< double > &)
| and StepIntv
void | setValue (const Interval< float > &)
| and StepIntv
void | setValue (const Interval< int > &)
| and StepIntv
void | setValue (double, int nr=0)
void | setValue (float, int nr=0)
void | setValue (int, int nr=0)
void | setValue (od_int64, int nr=0)
void | setValues (bool v1, bool v2)
void | setValues (double v1, double v2)
void | setValues (float v1, float v2)
void | setValues (int v1, int v2)
void | setWithCheck (bool yn=true)
void | setWithSelect (bool yn=true)
const char * | text (const char *undefval) const
const char * | text (int nr=0, const char *undefval=mUdf(const char *)) const
virtual const uiString & | titleText () const
void | updateSpecs ()
| update dataInpSpec() from current values on screen.
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Private Attributes
bool | isdepth_
const bool | withstep_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiGenInput
Notifier< uiGenInput > | checked
Notifier< uiGenInput > | updateRequested
Notifier< uiGenInput > | valueChanged
Notifier< uiGenInput > | valuechanged
Notifier< uiGenInput > | valueChanging
Notifier< uiGenInput > | valuechanging
Protected Member Functions inherited from uiGenInput
void | checkBoxSel (CallBacker *)
uiGenInputInputFld & | createInpFld (const DataInpSpec &)
| DataInpField factory.
void | doClear (CallBacker *)
void | doFinalize (CallBacker *)
virtual void | doSelect (CallBacker *)
| Select is pressed. Called by doSelect_.
void | doSelect_ (CallBacker *)
| Select is pressed. Calls virtual doSelect.
DataInpSpec * | spec (int nr)
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Attributes inherited from uiGenInput
uiCheckBox * | cbox_ = nullptr
bool | finalized_ = false
ObjectSet< uiGenInputInputFld > | flds_
TypeSet< uiGenInputFieldIdx > & | idxes_
bool | isrequired_ = false
uiLabel * | labl_ = nullptr
uiButton * | selbut_ = nullptr
uiString | selText_
uiTextValidator * | textvl_ = nullptr
uiString | titletext_
uiStringSet | tooltips_
bool | withchk_ = false
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Field that takes care of getting a time or a depth range.

<>

## Constructor & Destructor Documentation

## ◆ uiZRangeInput()

uiZRangeInput::uiZRangeInput | ( | uiParent * | ,
|  | bool | depth,
|  | bool | wstep )

## ◆ ~uiZRangeInput()

uiZRangeInput::~uiZRangeInput | ( |  | ) |

## Member Function Documentation

## ◆ getDZRange()

StepInterval< double > uiZRangeInput::getDZRange | ( |  | ) | const

## ◆ getFZRange()

StepInterval< float > uiZRangeInput::getFZRange | ( |  | ) | const

## ◆ setIsDepth()

void uiZRangeInput::setIsDepth | ( | bool | yn | ) |
| inline

## ◆ setZRange()

template<class T >

void uiZRangeInput::setZRange | ( | T | range | ) |
| inline

## Member Data Documentation

## ◆ isdepth_

bool uiZRangeInput::isdepth_
| private

## ◆ withstep_

const bool uiZRangeInput::withstep_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025